
package de.ivu.elect.interfaces.core;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;

@XmlAccessorType(XmlAccessType.FIELD)
public class StaatenGruppe implements Serializable {

  private static final long serialVersionUID = 1L;

  @XmlElement(required = true)
  private StaatenGruppeTyp staatenGruppeTyp;

  @XmlElement(required = false)
  private String bezeichnung;

  @XmlElementWrapper(name = "staaten", nillable = false, required = true)
  @XmlElement(required = false, name = "staat", nillable = true)
  private List<Staat> staaten = new ArrayList<>();

  @XmlElement(required = false)
  private String customData;

  public StaatenGruppeTyp getStaatenGruppeTyp() {
    return staatenGruppeTyp;
  }

  public void setStaatenGruppeTyp(StaatenGruppeTyp staatenGruppeTyp) {
    this.staatenGruppeTyp = staatenGruppeTyp;
  }

  public String getBezeichnung() {
    return bezeichnung;
  }

  public void setBezeichnung(String bezeichnung) {
    this.bezeichnung = bezeichnung;
  }

  public List<Staat> getStaaten() {
    return staaten;
  }

  public void setStaaten(List<Staat> staaten) {
    this.staaten = staaten;
  }

  public String getCustomData() {
    return customData;
  }

  public void setCustomData(String customData) {
    this.customData = customData;
  }
}
